<template>
  <DualList :allItems="sourceData" v-model="selected"/>
   <button
      @click="createPermalinks"
    >
      Create permalink
    </button>

</template>

<script>
import DualList from '../components/dualList.vue';
import dataJson from "../assets/products.json";
import axios from "axios";

export default {
  name: 'ProductsView',
  components: { DualList },
  props: {
    id: {
      type: String,
      required: false,
    }
  },
  data() {
      return {
        sourceData: dataJson,
        selected: [],
      }
  },
  methods: {
    createPermalinks() {
      axios
        .post("http://localhost:4444/state", this.selected)
        .then((response) => {
          /* this.id = response.data.id; */
          this.$router.push({ name: 'permalink' , params: {id : response.data.id }})
          /* console.log(this.id); */
        })
        .catch((error) => {
          console.log(error);
        });
    },

  },
  async mounted() {

  const param = this.id;
  if(!param) return;
  await axios
      .get(`http://localhost:4444/state/${param}`)
      .then((response) => {
        const objResp = response.data.data
        for (let i = 0; i < objResp.length; i++) {
          this.selected.push(objResp[i]);
        }
      })
      .catch((error) => {
        console.log(error);
      });
  }
  
}
</script>

<style scoped></style>
